Name:      liborigin
Version:   20080225
Release:   25%{?dist}
Summary:   Library for reading OriginLab OPJ project files

License:   GPLv2
Group:     Development/Libraries
URL:       http://sourceforge.net/projects/%{name}/

Source:    http://master.dl.sourceforge.net/project/liborigin/liborigin/2008/%{name}-%{version}.tar.gz
# Include <cstddef> into tree.hh
Patch0:    %{name}-%{version}-gcc.patch
Patch1:    %{name}-%{version}-cxx11.patch

BuildRequires: gcc-c++
BuildRequires: cmake

%description
A library for reading OriginLab OPJ project files.

%package devel
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

# fix for hardcoded path of %%{_libdir}
sed -i "s|install(TARGETS origin DESTINATION lib)|install(TARGETS origin DESTINATION %{_lib})|" CMakeLists.txt

%cmake

make VERBOSE=1 %{?_smp_mflags}

%install
make INSTALL="install -p" DESTDIR=%{buildroot} install

install -d  %{buildroot}%{_includedir}/%{name}/
install -pm 644 OPJFile.h tree.hh %{buildroot}%{_includedir}/%{name}/

#W: spurious-executable-perm 
chmod 0644 ws4.opj


%ldconfig_scriptlets


%files
%doc COPYING README ws4.opj import.qs
%{_bindir}/opj2dat
%{_libdir}/%{name}.so.0*

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20080225-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Alexander Ploumistos  <alexpl@fedoraproject.org> - 20080225-24
- Replace obsolete ldconfig scriptlets with macro and remove dependencies

* Fri Feb 16 2018 Alexander Ploumistos  <alexpl@fedoraproject.org> - 20080225-23
- Add gcc-c++ build dependency
- Fix rpmlint warning

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20080225-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20080225-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20080225-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20080225-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 15 2016 Jonathan Wakely <jwakely@redhat.com> - 20080225-17
- Patched for C++11 compatibility

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20080225-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 11 2015 Nils Philippsen <nils@redhat.com> 2008525-14
- remove bad conditional, use %%_lib instead of testing %%__isa_bits

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 25 2014 Peter Robinson <pbrobinson@fedoraproject.org> 20080225-12
- Generic 64 arch detection
- cleanup spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 04 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 20080225-6
- Add liborigin-20080225-gcc.patch (Fix FTBFS BZ#716189).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Dan Horak <dan[at]danny.cz> - 20080225-3
- add s390x as 64-bit arch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 10 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080225-1
- New upstream release 20080225

* Sat Apr 26 2008 Thibault North <tnorth [AT] fedoraproject DOT org> - 20070119-3
- now uses again version 20070119
- patch for successful rebuild with gcc4.3

* Mon Apr 21 2008 Thibault North <tnorth [AT] fedoraproject DOT org> - 20070115-2
- rebuild for F9 with optimized gcc4.3 extensions

* Fri Jan 18 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20071119-1
- New upstream release
- fix for hardcoded path of %%{_libdir}
- opted cmake during the build process

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-4
- queued for mass rebuild for Fedora 8 - BuildID

* Tue Jan 30 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-3
- Fix directory ownership for -devel package

* Sat Jan 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-2
- Added fix for hardcoded path of %%{_libdir}
- Added $$RPM_OPT_FLAGS to Makefile.LINUX

* Sat Jan 20 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-1
- Initial package
